using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.ServiceModel;
using System.Text;

namespace BlobWCFServiceService
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Starting BlobWCFService service... Please wait...");

            // Create a ServiceHost for the BlobWCFService type and use the base address from config.
            using (ServiceHost serviceHost = new ServiceHost(typeof(BlobWCFServiceService)))
            {
                try
                {
                    // Open the ServiceHost to start listening for messages.
                    serviceHost.Open();

                    // The service can now be accessed.
                    Console.WriteLine("The service BlobWCFService is now ready.");
                    Console.WriteLine("Press <ENTER> to terminate service.");
                    Console.ReadLine();

                    // Close the ServiceHost.
                    serviceHost.Close();
                }
                catch (TimeoutException timeProblem)
                {
                    Console.WriteLine(timeProblem.Message);
                    Console.ReadLine();
                }
                catch (CommunicationException communicationProblem)
                {
                    Console.WriteLine(communicationProblem.Message);
                    Console.ReadLine();
                }
            }

            return;
        }
    }
}
